#include "Sonar_SRF.h"


Sonar_SRF sonar=Sonar_SRF(12,2);            //oggetto che non utilizzerà interrupt (viene creato un altro elemento che li utilizza, ma nel cpp)
long dist;

/*
*Assuming a room temp of 20 degrees centigrade
*The circuit:
*	* VVC connection of the sensor attached to +5V
*	* GND connection of the sensor attached to ground
*	* TRIG connection of the sensor attached to digital pin 12
*       * ECHO connection of the sensor attached to digital pin 2
*       * 
*       * pin 2 is necessary for the gestion of interrupts
*/
 


void setup() {

  Serial.begin(9600);
}

void loop()
{
  
  sonarInterrupt.sendSonar();                //utilizza interrupt
  dist=sonarInterrupt.getDistance();         //utilizza interrupt
  Serial.print("cm ");
  Serial.println(dist);
  delay(500);
  
  sonar.duration();                          //non utilizza interrupt
  
}


